# <img src="https://github.com/pip-services/pip-services/raw/master/design/Logo.png" alt="Pip.Services Logo" style="max-width:30%"> 
# IoC container for Dart

This framework is a part of the [Pip.Services](https://github.com/pip-services/pip-services) project.
It provides an inversion-of-control component container to facilitate the development of composable services and applications.

As all Pip.Services projects this framework is implemented in a variety of different languages: Java, .NET, Python, Node.js, Golang and Dart. 

The framework provides a light-weight container that can be embedded inside a service or application, or can be run by itself,
as a system process, for example. Container configuration serves as a recipe for instantiating and configuring components inside the container.  
The default container factory provides generic functionality on-demand, such as logging and performance monitoring.

- **Core** - Component container and container as a system process
- **Build** - Container default factory
- **Config** - Container configuration
- **Refer** - Container references

Quick Links:

* [Downloads](https://github.com/pip-services3-node/pip-services3-container-node/blob/master/doc/Downloads.md)
* [API Reference](https://pub.dev/documentation/pip_services3_components/latest/pip_services3_components/pip_services3_components-library.html)
* [Building and Testing](https://github.com/pip-services3-node/pip-services3-container-node/blob/master/doc/Development.md)
* [Contributing](https://github.com/pip-services3-node/pip-services3-container-node/blob/master/doc/Development.md#contrib)

## Acknowledgements

The Dart version of Pip.Services is created and maintained by:
- **Sergey Seroukhov**
- **Levichev Dmitry**

The documentation is written by:
- **Mark Makarychev**
- **Levichev Dmitry**
